Bug 597460 - m4 won't compile from src.rpm on RHEL6 BETA
Summary: m4 won't compile from src.rpm on RHEL6 BETA
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: m4   
(Show other bugs)
Version: 6.0
Hardware: All Linux
low
medium
Target Milestone: rc
: ---
Assignee: Vitezslav Crhonek
QA Contact: Michal Nowak
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-05-29 01:52 UTC by Todd Rinaldo
Modified: 2013-03-08 02:10 UTC (History)
4 users (show)

Fixed In Version: m4-1.4.13-5.el6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-11-10 21:08:46 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Todd Rinaldo 2010-05-29 01:52:08 UTC
Description of problem:

When I try to compile m4 from source, I get an error from patches.c about S_ISDIR not being defined during linking.

Version-Release number of selected component (if applicable):
RHEL6 BETA

How reproducible:


Steps to Reproduce:
1. rpmbuild --rebuild ftp://ftp.redhat.com/redhat/rhel/beta/6/source/SRPMS/m4-1.4.13-4.1.el6.src.rpm
2.
3.
  
Actual results:

Errors during linking about S_ISDIR not being defined.

Expected results:

m4 should build

Additional info:

The M4 bugs mailing list acknowledges the problem and modified my suggested fix. This fix should go into RHEL6 and/or the new version should go in.

http://lists.gnu.org/archive/html/bug-m4/2010-05/msg00003.html

Shouldn't m4 be re-built from source against RHEL 6's libc?

Comment 2 RHEL Product and Program Management 2010-06-02 14:45:36 UTC
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux major release.  Product Management has requested further
review of this request by Red Hat Engineering, for potential inclusion in a Red
Hat Enterprise Linux Major release.  This request is not yet committed for
inclusion.

Comment 5 releng-rhel@redhat.com 2010-11-10 21:08:46 UTC
Red Hat Enterprise Linux 6.0 is now available and should resolve
the problem described in this bug report. This report is therefore being closed
with a resolution of CURRENTRELEASE. You may reopen this bug report if the
solution does not work for you.


Note You need to log in before you can comment on or make changes to this bug.